package fruitserver

import (
	"context"

	"code.justin.tv/security-cop/fruit-rpc/rpc/fruit"
	"code.justin.tv/security-cop/fruit/fruitinmemory"
)

// NewFruitServer returns a new fruit server.
func NewFruitServer() *FruitServer {
	return &FruitServer{db: fruitinmemory.New()}
}

// FruitServer implements Fruit
type FruitServer struct {
	// see here for example usage
	// https://git-aws.internal.justin.tv/security-cop/fruit/blob/master/fruitinmemory/example_fruits_test.go#L7
	db *fruitinmemory.Fruits
}

// GetPrice returns the price of a fruit
func (fs *FruitServer) GetPrice(context.Context, *fruit.GetPriceRequest) (*fruit.GetPriceResponse, error) {
	return nil, nil
}

// UpdatePrice updates the price of a fruit
func (fs *FruitServer) UpdatePrice(context.Context, *fruit.UpdatePriceRequest) (*fruit.UpdatePriceResponse, error) {
	return nil, nil
}
